de.vc.jfo.renderer

## Class XEP4Renderer

- java.lang.Object
- - de.vc.jfo.renderer.Renderer
  - - de.vc.jfo.renderer.XEP4Renderer

- All Implemented Interfaces:
    java.lang.Cloneable, java.lang.Comparable

      public class XEP4Renderer
      extends Renderer

  A renderer using XEP by RenderX.

- - ### Field Summary

    - ### Fields inherited from class de.vc.jfo.renderer.Renderer

      `DEFAULT_PRIORITY, XML_ATTR_CLASS, XML_ATTR_CONFIG_EDITOR, XML_ATTR_CONFIG_FILE, XML_ATTR_NAME, XML_ATTR_PRIORTIY, XML_ATTR_RESET_IMAGE_CACHE, XML_ATTR_USE_JFO_LOGGING, XML_NODE_RENDERER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XEP4Renderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(de.vc.config.Configuration config)` Configures this renderer.
    `protected void` | `doRender(Document document, java.io.OutputStream outStream, OutputFormat format)` Renders the given document using this renderer.
    `protected void` | `doRender(java.io.InputStream foStream, java.io.OutputStream outStream, OutputFormat outputFormat)` Do render a FO-stream (Stream is in XML, not in XSL).
    `java.lang.String` | `getDisplayName()` Gets the display name of renderer that can be shown in GUIs.
    `Logger` | `getLogger()`
    `RTF2FOCompatibilityMode` | `getPreferredRTF2FOCompatibilityMode()` XEP 4.4 is prefered mode.
    `OutputFormat[]` | `getSupportedOutputFormats()` Gets an array of all supported output formats.
    `boolean` | `isReady()` Returns true if class `com.renderx.xep.FormatterImpl` is in classpath.
    `void` | `setLogger(Logger logger)`

    - ### Methods inherited from class de.vc.jfo.renderer.Renderer

      `afterRendering, beforeRendering, canRender, compareTo, copy, createPrinterJob, equals, getConfigFile, getPrinterJobFactory, getPriority, isUseJFOLogging, logUnsupportedFormat, reconfigure, render, render, render, render, resolveConfig, setConfigFile, setPrinterJobFactory, setPriority, setUseJFOLogging, supportsFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XEP4Renderer

          public XEP4Renderer()

  - ### Method Detail

    - #### getPreferredRTF2FOCompatibilityMode

          public RTF2FOCompatibilityMode getPreferredRTF2FOCompatibilityMode()

      XEP 4.4 is prefered mode.
      Overrides:
        `getPreferredRTF2FOCompatibilityMode` in class `Renderer`
      Returns:
        RTF2FOCompatibilityMode.XEP_4_4

    - #### setLogger

          public void setLogger(Logger logger)

    - #### getLogger

          public Logger getLogger()

    - #### getSupportedOutputFormats

          public OutputFormat[] getSupportedOutputFormats()

      Description copied from class: `Renderer`
      Gets an array of all supported output formats.
      Specified by:
        `getSupportedOutputFormats` in class `Renderer`
      Returns:
        Array of output formats (see OUTPUT_*).

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Description copied from class: `Renderer`
      Gets the display name of renderer that can be shown in GUIs.
      Specified by:
        `getDisplayName` in class `Renderer`
      Returns:
        Display name.

    - #### configure

          public void configure(de.vc.config.Configuration config)
                         throws de.vc.config.ConfigurationException

      Description copied from class: `Renderer`
      Configures this renderer. This method does only configure this adapter to the external renderer but not the external renderer. The external renderer is configured when the renderer method is invoked (lazy initialization).
      Overrides:
        `configure` in class `Renderer`
      Parameters:
        `config` - Configuration
      Throws:
        `de.vc.config.ConfigurationException`

    - #### isReady

          public boolean isReady()

      Returns true if class `com.renderx.xep.FormatterImpl` is in classpath.
      Overrides:
        `isReady` in class `Renderer`
      Returns:
        boolean

    - #### doRender

          protected void doRender(Document document,
                      java.io.OutputStream outStream,
                      OutputFormat format)
                           throws java.lang.Exception

      Description copied from class: `Renderer`
      Renders the given document using this renderer. You don't have to close the output-stream.
      Overrides:
        `doRender` in class `Renderer`
      Parameters:
        `document` - Document.
        `outStream` - Output.
        `format` - Output format.
      Throws:
        `java.lang.Exception` - This renderer may throw an exception.

    - #### doRender

          protected void doRender(java.io.InputStream foStream,
                      java.io.OutputStream outStream,
                      OutputFormat outputFormat)
                           throws java.lang.Exception

      Description copied from class: `Renderer`
      Do render a FO-stream (Stream is in XML, not in XSL). You don't have to close the output-stream.
      Specified by:
        `doRender` in class `Renderer`
      Parameters:
        `foStream` - FO-stream.
        `outStream` - Output stream, where rendered FO should be stored into.
        `outputFormat` - Outputformat (see OUTPUT_*).
      Throws:
        `java.lang.Exception` - Throw an exception in necessary.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.